| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::bucket_t Struct Reference

A rate limit bucket. The library builds one of these for each endpoint. More...

`#include <queues.h>`

Collaboration diagram for dpp::bucket_t:
[legend]

## Public Attributes

uint64_t | limit
| Request limit.
uint64_t | remaining
| Requests remaining.
uint64_t | reset_after
| Rate-limit of this bucket resets after this many seconds.
uint64_t | retry_after
| Rate-limit of this bucket can be retried after this many seconds.
time_t | timestamp
| Timestamp this buckets counters were updated.

## Detailed Description

A rate limit bucket. The library builds one of these for each endpoint.

## Member Data Documentation

## ◆ limit

uint64_t dpp::bucket_t::limit

Request limit.

## ◆ remaining

uint64_t dpp::bucket_t::remaining

Requests remaining.

## ◆ reset_after

uint64_t dpp::bucket_t::reset_after

Rate-limit of this bucket resets after this many seconds.

## ◆ retry_after

uint64_t dpp::bucket_t::retry_after

Rate-limit of this bucket can be retried after this many seconds.

## ◆ timestamp

time_t dpp::bucket_t::timestamp

Timestamp this buckets counters were updated.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0